"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
function findEventDispatcher(target, det, returnFirstMatch) {
  var found;
  while (target) {
    if (det(target)) {
      found = target;
      if (returnFirstMatch) {
        break;
      }
    }
    target = target.__hostTarget || target.parent;
  }
  return found;
}
exports.findEventDispatcher = findEventDispatcher;
